# Blitter::BlitterParams Struct Reference

## Data Fields
const void * | sprite
| Pointer to the sprite how ever the encoder stored it.
const byte * | remap
| XXX -- Temporary storage for remap array.
int | skip_left
int | skip_top
| How much pixels of the source to skip on the left and top (based on zoom of dst).
int | width
int | height
| The width and height in pixels that needs to be drawn to dst.
int | sprite_width
| Real width of the sprite.
int | sprite_height
| Real height of the sprite.
int | left
int | top
| The offset in the 'dst' in pixels to start drawing.
void * | dst
| Destination buffer.
int | pitch
| The pitch of the destination buffer.

## Detailed Description

Definition at line 29 of file base.hpp.

The documentation for this struct was generated from the following file:

- src/blitter/base.hpp